Search documentation of ExStreamClient

# ExStreamClient.Model.PushProvider (ExStreamClient v0.1.10)

View Source

Schema representing a PushProvider

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.PushProvider{
      apn_auth_key: String.t() | nil,
      apn_auth_type: String.t() | nil,
      apn_development: boolean() | nil,
      apn_host: String.t() | nil,
      apn_key_id: String.t() | nil,
      apn_notification_template: String.t() | nil,
      apn_p12_cert: String.t() | nil,
      apn_team_id: String.t() | nil,
      apn_topic: String.t() | nil,
      created_at: float(),
      description: String.t() | nil,
      disabled_at: float() | nil,
      disabled_reason: String.t() | nil,
      firebase_apn_template: String.t() | nil,
      firebase_credentials: String.t() | nil,
      firebase_data_template: String.t() | nil,
      firebase_host: String.t() | nil,
      firebase_notification_template: String.t() | nil,
      firebase_server_key: String.t() | nil,
      huawei_app_id: String.t() | nil,
      huawei_app_secret: String.t() | nil,
      name: String.t(),
      push_templates: [ExStreamClient.Model.PushTemplate.t()] | nil,
      type: String.t(),
      updated_at: float(),
      xiaomi_app_secret: String.t() | nil,
      xiaomi_package_name: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()